
TYPO3.Flow - Bug # 36717

Feature # 29547 (Resolved): @identity should make property unique in Database

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2012-04-30 Assigned To: Christian Müller
Updated: 2012-05-03 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Remove Identity from Resource
Description

See discussion about Resource in parent task, we should remove the annotation in Resource to not change behaviour before we add
the functionality for Identity annotations.

Related issues:
related to TYPO3.Flow - Feature # 33587: Automatically remove unused Resources New 2012-02-01
related to TYPO3.Flow - Task # 36800: Streamline Resource object API Accepted 2012-01-26

Associated revisions
Revision b9fd1464 - 2012-05-03 09:31 - Christian Müller

[TASK] Remove Identity annotation from Resource

As preparation to give the Identity annotation some meaning we
remove it here to still allow multiple resources with the same
pointer and filename / fileExtension.

This doesn't change the behavior at all as Identity has no
technical meaning (yet).

Change-Id: I791a74651bfc39a62f0f07a5837efc75bf5f481e
Resolves: #36717
Releases: 1.1

History
#1 - 2012-04-30 12:46 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10892

#2 - 2012-04-30 21:29 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10892
#3 - 2012-05-03 09:31 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10892

#4 - 2012-05-03 14:40 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b9fd14644de323164c5d096421e73484cefa7ba5.
